# Request merchant credentials

> `POST https://api.kustom.co/accountmanagement/v1/merchants/{merchantId}/credentials-request`

Generates new API credentials (username and password) for the specified merchant.

## Parameters

- `merchantId` (string, path, required) — The unique Kustom merchant identifier.

## Responses

### 200

Credentials successfully generated.

`application/json`

- `username` (string, required) — The API username for the merchant.
- `password` (string, required) — The API password for the merchant.

```json
{
  "username": "<string>",
  "password": "<string>"
}
```

### 401

Unauthorized — missing or invalid access token.

### 404

Merchant not found.
